StatCalculatorLong (Apache JMeter dist API)
Description: declaration: package: org.apache.jorphan.math, class: StatCalculatorLong

Package org.apache.jorphan.math

# Class StatCalculatorLong

java.lang.Object
org.apache.jorphan.math.StatCalculator<Long>
org.apache.jorphan.math.StatCalculatorLong

public class StatCalculatorLong extends StatCalculator<Long>
StatCalculator for Long values

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatCalculatorLong()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addValue(long val)`
  Add a single value (normally elapsed time)
  `void`
  `addValue(long val, int sampleCount)`
  Update the calculator with the value for an aggregated sample.
  `protected Long`
  `divide(Long val, int n)`
  `protected Long`
  `divide(Long val, long n)`

  ### Methods inherited from class org.apache.jorphan.math.StatCalculator

  `addAll, addBytes, addSentBytes, addValue, addValue, clear, getCount, getDistribution, getMax, getMean, getMedian, getMin, getPercentPoint, getPercentPoint, getStandardDeviation, getSum, getTotalBytes, getTotalSentBytes`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatCalculatorLong

    public StatCalculatorLong()

- ## Method Details

  - ### addValue

    public void addValue(long val)
    Add a single value (normally elapsed time)
    Parameters:
      `val` - the value to add, which should correspond with a single sample

  - ### addValue

    public void addValue(long val, int sampleCount)
    Update the calculator with the value for an aggregated sample.
    Parameters:
      `val` - the aggregate value, normally the elapsed time
      `sampleCount` - the number of samples contributing to the aggregate value

  - ### divide

    protected Long divide(Long val, int n)
    Specified by:
      `divide` in class `StatCalculator<Long>`

  - ### divide

    protected Long divide(Long val, long n)
    Specified by:
      `divide` in class `StatCalculator<Long>`